//SOLAR SYSTEM
//Eevi Rutanen
//Creative Computation for Visual Communication Design
//18.10.2020
//This exercise demonstrates how to use translations and rotations with push() and pop() commands

var a = 0; //variable for angle of rotation
var rad1 = 120; //radius of smaller orbit around sun
var rad2 = 200; //radius of larger orbit around sun
function setup(){
    createCanvas(500,500);
    angleMode(DEGREES); //set angle mode
    stroke(255);
}
function draw(){
    background(0);
    fill(255,255,0); //yellow
    translate(width/2,height/2); //move to center
    ellipse(0,0,60); //draw the sun
    noFill();
    
    push();
        rotate(a); //rotate around the sun
        ellipse(0,0,rad1*2); //draw the orbit
        translate(rad1, 0); //translate to orbit
        fill(255,100,200); 
        ellipse(0,0,40); //draw planet at orbit
        rotate(a*2); //rotate around planet
        fill(255);
        ellipse(40,0,10,10); //draw moon 40px away from the planet
    pop();
    //revert to previous drawing state (translated to center, no fill)
    push();
        rotate(a/3); //rotate around sun (3 times slower)
        stroke(255);
        ellipse(0,0,rad2*2); //draw outer orbit
        translate(rad2,0); //translate to orbit
        fill(255,0,0);
       
        ellipse(0,0,30); //draw planet at orbit
        rotate(a/2); //rotate around planet
        fill(255);
        ellipse(30,0,10); //draw the moon 30px away from the planet
    pop();
    //revert to previous coordinate system (translated to center, no fill)

    //add more orbiting planets and their moons!
    
    a++; // increment angle
    
}

